教程:安装.tar.gz和.tar.bz2软件包

首先,当我们从Linux启动并寻找程序时,通常会找到.deb或.rpm,在许多情况下,我们找到带有扩展名的程序是正常的。 名为.tar.gz y .tar.bz2这些文件已压缩,通常包含与程序分开安装的说明。

这两种类型的软件包的安装完全相同

首先,我们进入文件所在的文件夹,如果该文件夹中包含多个单词,则必须在其中加上“”,或者如果该文件夹中找不到每个单词的文件夹

cd文件所在的文件夹cd“文件所在的文件夹”

在里面我们解压缩文件

tar -zxvf filename.tar.gz tar -jxvf filename.tar.bz2

我们配置

/配置

我们做(编译)

使

现在进行安装

使安装

有时它会给我们一个./configure错误,在这种情况下,它不需要编译,而执行时我们就拥有了很多,在终端中,我们可以

相关文章:
知道系统的命令(识别硬件和某些软件配置)
程序名称

或者我们创建一个启动器。


本文内容遵循我们的原则 编辑伦理。 要报告错误,请单击 信息.

102条评论,留下您的评论

发表您的评论

您的电子邮件地址将不会被发表。 必填字段标有 *

*

*

  1. 负责数据:MiguelÁngelGatón
  2. 数据用途:控制垃圾邮件,注释管理。
  3. 合法性:您的同意
  4. 数据通讯:除非有法律义务,否则不会将数据传达给第三方。
  5. 数据存储:Occentus Networks(EU)托管的数据库
  6. 权利:您可以随时限制,恢复和删除您的信息。

  1.   莫斯科科索夫

    威纳+1

  2.   正确

    实际上,解压缩的正确方法是
    tar -zxvf file.tar.gz
    tar -jxvf file.tar.bz2

    对于配置,有无数的选项(取决于软件)来定制安装

    ./configure -help

    这样,他们将在安装程序时看到其他不同的选项。
    并非所有发行版都使用/ usr / local安装程序,这也应该提到。

    您忘了提及如何卸载以这种方式安装的程序。 除了为每种架构定义优化。

    无论如何,主动性很强,但是您错过了很多……太多的信息无法共享。

    问候

    1.    勇气

      这是我几乎从未使用过的东西,我在官方存储库中找到了大多数程序。

      解压缩的真相是,这样对我一直都是有益的。

      我之所以写它,是因为它使所有那些说“当您解压缩它时阅读说明”的人困扰。

      无论如何,如果deb / rpm包或存储库中没有.tar.gz,则将其作为最后的选择。

      1.    正确

        “事实是像这样,解压缩一直对我有好处。”
        我们同意,我对此没有异议,但这并不意味着这是正确的事情。 并非所有发行版都可以“智能”地解压缩,有些发行版必须添加更多参数。

        1.    勇气

          伙计,发行不正常的发行片不是我的错,哈哈哈哈

          1.    正确

            吻男人...吻

          2.    勇气

            伙计,KISS不是白痴,您已经知道使用Slackware哈哈哈哈

          3.    正确

            xD
            所以我才告诉你

            简单!=简单。

  3.   悠悠

    +1代表正确

    1.    佩佩

      一个比另一个混蛋。 这些“天才”不在主题之列。

  4.   碎石523

    如果将“ make install”更改为“ checkinstall”(您可以使用aptitude安装它,位于存储库中),它将安装程序,而且:
    -创建一个.deb,以便您将来可以安装它
    -已安装的程序将出现在Synaptic中,因此您可以从那里轻松卸载它

    1.    勇气

      Arch用户已将其与Aptitude结合使用...

  5.   耶尔帕萨杰罗

    抱歉,我的无知,但外星人应用程序可以解决所有这些问题吗?

    1.    正确

      不会,因为Alien使用已编译的程序包,并且tar.gz或tar.bz2是带有源代码的压缩文件。

  6.   pandev92

    在大多数情况下,您实际上不能做一个教程,至少qt软件包是以其他甚至更怪异的方式编译的。

    1.    hypersayan_x

      确实我要说同样的话。
      从Qt使用qmake的人或多或少是这样的:


      cd CarpetaPrograma
      qmake
      make
      sudo make install

      我添加了另一种情况,即cmake:


      cd CarpetaPrograma
      mkdir build
      cd build
      cmake ..
      make
      sudo make install

      或者还有其他一些只需运行make && sudo make install。
      这些是最常见的情况,但是还有更多变体:

      1.    麦克德3

        有时,某些在QT中制作的应用程序没有带上Makefile。 因此,现在该用以下行创建它们了:

        qmake -makefile的

        问候

  7.   耶尔帕萨杰罗

    让我们看看是否可以澄清一下,当我不得不使用tar.gz或tar.bz2时,我要做的所有使用Alien生成.deb或all.deb的操作就是放置sudo Alien install +软件包名称。 这与编译不一样吗?

    1.    hypersayan_x

      不,编译是将程序的源代码转换为机器代码。
      而您对Alien所做的就是重新打包,这会将一个发行版的软件包格式转换为另一发行版的软件包格式。
      为了简化起见,就好像您有一个用RAR压缩的文件,并且想要将其转换为ZIP一样,您需要在RAR中解压缩该文件,然后再次用ZIP对其进行压缩,这就是Alien所做的。

  8.   斯图克斯

    编译是在make中完成的,而不是在configure中完成的。 配置文件是一个脚本,用于验证系统是否符合所有依赖项以编译程序,然后根据我们的系统生成生成文件(定义了如何编译该文件)。

    1.    勇气

      现在我将其删除,因为距我在四月或五月撰写本文的时间已经很长了。 我没有检查它几乎消除了一些不好的词

  9.   耶尔帕萨杰罗

    你好
    我想我对自己的解释不是很好。 Alien不仅将rpm软件包转换为.deb,而且如果您获取程序的源代码(无论是gz还是bz2),它也会将其转换为自安装调试器。 因此,我的问题。 我已经使用Linux了很短的时间,请多多包涵。

  10.   马尔科

    请原谅我的无知,但是这些步骤在查克拉中也有效,或者有什么改变吗?

    1.    KZKG ^ Gaara

      完全没有人😀
      因此,这些步骤几乎是所有发行版中的标准操作,但是不能100%保证始终遵循这些步骤。 因此,我建议您在执行任何操作之前始终先阅读指令文件(通常为自述文件)。

    2.    正确

      正如@ KZKG ^ Gaara所说,并非总是如此,只要程序是用C / C ++编写,它就是适用于所有发行版的标准

  11.   卡洛斯·Xfce

    当我再次遇到这些文件的.tar.gz时,我将返回本文。 我怎么讨厌这样的包!

    1.    勇气

      该死的老大了,可以安装这些软件包了

  12.   VulkHead

    请原谅我缺乏知识,这种安装方法也适用于Debian。 因为我尝试并且尝试并且它给了我一个错误。

  13.   劳拉·特耶拉(Laura Tejera)

    这就是为什么没人使用Linux来做任何愚蠢的事情的原因

    1.    拉夫

      您提到的其中一些愚蠢的东西,Windows和OS X的“超级有天赋”的用户无法做到,或者害怕它们,这真是太奇怪了。

      1.    劳拉·特耶拉(Laura Tejera)

        有趣的是,像您这样的人如何遵循这样一个封闭的操作系统。

        1.    KZKG ^ Gaara

          您是否避免回答这个问题? …Windows用户或OS X天才可以在他们的系统上执行我们在此站点上显示的尽可能多的事情吗? 🙂

          顺便说一下,您使用Ubuntu,所以...我们在说什么?

          1.    劳拉·特耶拉(Laura Tejera)

            保持平庸的漫画

            1.    KZKG ^ Gaara

              我们平庸吗? …呃…哈哈!


      2.    佩佩

        我们到了2015年!
        我认为没有必要浪费太多时间在控制台上学习。
        为什么不为此使用自动化应用程序?
        无论如何,那些“喜欢”从那里的控制台编写命令的人,可以让他们继续这样做,但与此同时,必须具有相同的自动化命令。 我不是要你向月球发射火箭。

    2.    圣地亚哥·路易斯·巴赞

      使用自由软件的原因是道德伦理。 绝不允许任何人被剥夺人类自由

      1.    佩佩

        程序中“自由”的说法让我受够了。 他们难道不停止赞美一个不存在的神而变得更谦卑吗?

    3.    佩佩

      您是正确的Laura,这些使用Linux的家伙使它变得更加复杂。 在put0窗口中,事情变得更容易。 我不贬低Linux,但不能因为要安装任何pel0tudes而花费数小时来研究tar的工作原理以及所有的sunsunda,以便最终您会陷入“ Linux初学者……”的困境。

      我打算使用一个稳定的操作系统,但不会因为工作而停止工作,我不想成为“ Linux毕业生”。

  14.   托斯

    总是缺少某些东西...当我给出./configure时,我得到:configure:错误:您的intltool太旧了。 您需要intltool 0.35.0或更高版本。

    随后,make指令返回:没有指定目标,也没有找到makefile。 高。

    进行安装:没有规则来建立`安装目标

    我是新手,学习研究很好,但是FUCK,您能不能用彩色鹅卵石为我们中的Linux新手们解释一下?

    1.    nch鱼

      Thanatos我有一个类似的问题,我分享我的结果:
      (首先,要澄清一下我也是Linux领域的新手,在这种情况下,我对Ubuntu的“味道”(发行版)的冒险历时一周)。
      假设它使用命令“ cd”进入我的文件夹“ Downloads”,在终端或控制台中找到我的程序包“ SoulSeek»,其结尾是“ .tgz”:
      “ ./Configure”给我一个错误,指出文件或目录不存在
      “ Make”引发与您相同的错误...所以我没有继续执行命令“ sudo make install”(sudo是因为Ubuntu需要“超级用户和他的密码”来运行此命令,换句话说就是进行安装) 。
      研究以前解压缩的文件后,我意识到可能会发生一些事情,即解压缩后的文件属于“可执行文件”类型(右键单击属性),并且需要2次单击才能执行。
      您可以通过更新发行版中安装的软件包或存储库(这些术语使我有些困惑)来解决«./configure»中的问题,因为它告诉您«intItooI»已经过时,您需要更新的版本,我认为也许这个软件包是在您的发行版上编译的。 在Ubuntu中,您可以在同一终端中通过键入“ sudo apt-get update”来执行此操作,并更新系统上的所有软件包。
      我希望有帮助。

    2.    佩佩

      就像我告诉Laura一样,这件事需要很长时间。 它给了我与您相同的错误信息,我像坎特维尔的幽灵一样从一个地方走到另一个地方,一无所获。

      我的老板告诉我:“您有2天的时间找到解决方案,否则,我们将回到Windows。”

  15.   乔纳森

    谢谢

  16.   伊万

    你好,我有同样的问题,我想安装Skype 4.0。 在我的pclinuxOS上,我下载了tar,gz2并解压缩,直到得到为止,当我执行./configure时,它告诉我该文件不存在..我在哪里丢失了或丢失了什么? 告诉我,在pclinuxOS(最新发布的版本)中安装了skype,但它是2.2版,我想安装4,
    我有什么技巧可以最终安装此程序吗? 我不知道的突触中的东西?
    我是这个系统的新手,之前我尝试过其他发行版,到目前为止,除此以外的其他一切都还不错。

    问候

    1.    佩佩

      是我还是我认为没有人知道这些问题。

    2.    F7eo

      嗨,距离您提出问题已有很长时间了。

      我建议您下载最新版本的Skype for Windows(R)
      并使用Wine在GNU-Linux发行版上运行它。

  17.  

    你好! 我遇到了同样的问题:我下载了最新版的中心软件,扩展名为tar.gz,当我进入“ ./configure”实例时,出现了一个错误,例如“ make”。 它是什么”?? 谢谢!! 除此之外,软件中心阻止了安装选项!

  18.   卡洛斯里维拉

    谢谢,这对我有很大帮助!

  19.   迈克尔

    如何创建启动器

  20.   ANGI

    一个问题,您可以在运行./configure之前检查tar.gz文件的依赖性吗?

  21.   joseluis

    我是Linux的新手,安装tar gz gz2平板电脑似乎非常困难,如果我得到了deb,则缺少依赖项,并且如果是i586或i686或i386,则rpm相同,最糟糕的是我家里没有互联网。 看到太多与一个人矛盾的评论会使您更糟。

  22.   加布里埃尔·山本

    好信息,但是已经编译了一些* .tar.bz2软件包,只需要将它们解压缩到任何文件夹中(最好是/ opt,以便对所有用户可用),然后直接访问/ usr /中的二进制文件即可。本地/箱

  23.   贡萨洛

    关于如何使用tar.gz文件的很好的解释。 非常感谢你提供的信息。 致全体团队的问候

  24.   胡安库约

    这对我不起作用
    cd / home / ju /下载/ icecat-24.0 ——->回复我
    bash:cd:主页/ ju /下载/ icecat-24.0:文件或目录不存在
    我究竟做错了什么??? 操作系统为Voyager 14.04 LTS(xubuntu)Xfce桌面Gdebi不在内容菜单中,也不是突触的,但它们在开始菜单中,即使您打开它们,它们也无法识别文件夹,就好像它们不存在一样。 我将其解压缩到了相同的下载文件夹中。

  25.   克劳迪奥

    本教程还适用于.tgz吗?

    1.    Joakoej

      不,.tgz是Slackware使用的格式,无论您已下载它还是从slackbuild对其进行编译,它们都已被编译。

    2.    Joakoej

      要安装它,您必须使用installpkg“软件包名称”。

  26.   ASDF

    抱歉,它对我来说并没有解决很多问题,当您说./configure并且我们对其进行配置时,您应该指定更多,对吗? 如果我只是把./configure告诉我
    bash:./configure:文件或目录不存在

    然后你说“我们做”
    码:
    他们成为
    我的结果:
    make:***未指定目标,也未找到任何makefile。 高。

    进行安装
    make:***没有用于构建“安装”目标的规则。 高。

    然后您说“我们运行程序”
    码:
    程序名称

    我如何知道哪个名称或哪个可执行文件? 这是非常抽象的,也许您想当然地知道了几件事,但是来看教程的人可能并不知道

    1.    达米安

      asdf。

      我正在调查,给出./configure时出现的错误是由于缺少编译程序造成的(我们如何在没有程序的情况下进行编译?)。 安装要输入的编译器的命令是:

      sudo aptitude install build-essential

      安装后,我们转到要解压缩的文件所在的文件夹并执行:

      tar -zxvf program_name.tar.gz

      然后我们进入解压后的程序文件夹,如果存在,我们执行./configure然后执行sudo make install

      希望我有所帮助!

      问候。

      1.    达米安

        抱歉,我忘了说明一下,在执行“ make”和“ sudo apt-get安装程序”的过程中,我不得不进入解压后的文件夹中的“ base”文件夹,就在那儿我接受了要编译的命令( make)和安装。

      2.    卡洛斯

        当我使用它时,它给我带来了问题,它说它找不到任何东西可以建造得很高

  27.   布伦达

    对不起,我有这个问题,我运行此命令,它向我显示一个错误,我无法创建makefile
    桌面:〜/下载$ tar -jxvf iReport-4.1.3.tar.bz2
    tar(子级):iReport-4.1.3.tar.bz2:无法打开:文件或目录不存在
    tar(子级):错误无法恢复:现在退出
    tar:孩子返回了状态2
    tar:错误无法恢复:现在退出
    请=)

  28.   亚伦

    朋友好,
    我是Linux的新手,但是在识别数字生物识别阅读器的设备时遇到了一些不便,我只是在Google上搜索了一下,显然找到了它,但是下载了.tar.gz扩展名,尝试解压缩在一个文件夹中,有几个文件已解压缩,但是我不知道之后是否还要运行其他文件或将那些解压缩的文件粘贴到系统上的文件夹中,我不知道是否可以帮助您运行程序很好,非常感谢,我在OS 7上安装了Linux Debian XNUMX,在此先致以问候,非常感谢。

  29.   鲁弗·洛佩斯·雷托蒂洛

    我同时使用Linex 2011和Linex 2013,安装应用程序时发现的最大问题是它们没有加载到其组的应用程序列表中(图形,办公室,多媒体等),并且如果我想创建启动器,我也不知道在哪里我必须去找到应用程序启动器文件。 您在哪个文件夹中创建它? 怎么做?
    当从存储库中安装启动器时,将启动器放置在它们的组中,是否可以通过按照本网站中的说明安装tar.gz来完成?
    感谢您的帮助

  30.   卡洛斯

    请帮助我有另一个名为lps 1.5.5的操作系统,我无法更新程序

  31.   卡洛斯

    请再次告诉您我无法解压缩tar.bz2文件,我有一个名为lps 1.5.5的操作系统,我不知道如何使用它,请帮助我,谢谢...

  32.   乔斯卡斯特尔

    解压缩bz2文件后,命令./configure不起作用,因为它不存在

    1.    乔斯卡斯特尔

      我有Ubuntu 14.04LTS

  33.   Sapete

    我不明白,因为放慢了.tar.gz去看电影,但是在ubuntu中我没有办法编译

  34.   劳尔

    什么是最好的操作系统? 最好的操作系统是它可以解决您的问题。

  35.   胡安齐托

    linux的人太神奇了。 我一直在尝试在新安装的LinuxMint发行版上安装ZinjaI至少5个小时。
    我正在浏览我找到的所有论坛,并且在所有论坛(但包括该论坛在内的所有论坛)中,您只能获得一半的信息。
    例如,我已经打开终端,但是无法输入下载文件的地址(/ home / user / Downloads / zinjai)。
    我得到的只是一个错误:“ bash:cd:user:没有这样的文件或目录。
    我知道他们想传播和传播操作系统的使用,但是,拒绝提供信息或用一半的手段解释一切,他们唯一会实现的就是像我这样坚决打算从Windows迁移到Linux的用户,放弃并坚持使用我的W7,虽然不好但是有用且易于管理。

    干杯…

    PS:带有图形界面的可悲的安装程序花了多少钱? 为什么在二十一世纪的今天,他们应该继续使用类似于DOS的工具来安装一个痛苦的小程序吗? 男孩……看看他们是否活了一点……。

    1.    豹猫

      cd〜/ Downloads /安装脚本路径。

      提示:坚持窗户。 每个操作系统都是针对一种类型的人制作的。 Windows是为那些希望以最小的努力而获得一切基础的人而制造的,我认为您的情况就是如此。 有些人不能或不想追求比下一个,下一个,下一个……更多的东西。 这还不错,我们只需要了解我们的局限性并适应它们即可。

      另一个提示:如果您只知道谦卑并使用“请”之类的两个词可以实现多少目标。 这会让你感到惊讶。 经常做。

      1.    纳里奥

        您好Linuxeros。
        非常感谢您的教程,它帮助我安装了dwa-131 wifi适配器的驱动程序。
        我有点怀疑,我已经按照他们上面所说的做了一切。
        转到文件路径,执行tar…。 然后制作,等待它完成,然后进行安装。
        在那一步之前,我没有给出任何错误。
        我的问题是要知道是否已经安装了驱动程序,还是必须做其他事情。
        Juanzito ..振作起来,给Linux一个机会,无论发行版是什么,我决定一周前离开Windows 7,我比地狱还迷路,哈哈哈,但是在这里和那里阅读时,您会发现有时对您来说很难的信息理解,一切取决于每个人要努力学习并摆脱Windows嵌入您的垄断(这是我的观点)。
        一件事……在Linux终端上,大写字母很重要。 😉

        PS:安装Kame后,我必须做其他事情。 ??

        非常感谢。
        非常感谢您和加那利群岛的问候。

      2.    弧线

        您要告诉谁谁回到X系统? 你认为理查德·斯托曼吗?

        我同意他们在一些评论中所说的,最好的操作系统是系统适合用户的操作系统,而不是相反。

        我个人喜欢Windows .exe,因为正如您所说,您不需要成为计算机天才就可以安装非常简单的东西,例如简单的记事本。 与linux相比,如果不在专用软件应用程序中,则平板电脑将使您陷入世纪纠结。

        因为准备将Mint安装在生产性机器上,所以我到达这里是在寻找和组织信息以在Linux中安装程序,而且我知道,如果不做准备,那么如果不在存储库中,则无法安装任何东西。

        现在,每个人都要求“请”,问题是没有人回答他们,这就是为什么人们有时必须有进取心,所以不要胡说八道。

      3.    巴勃罗

        对不起..但是我一直为自由和开放软件的使用辩护..我使用计算机已有30年了。我37岁。
        问题是,通常在linux中,无论是想要还是应该对一些简单的事情(例如安装程序,更新之类的东西)有更多了解的人,这都是完美的……问题出在许多人需要工作和使用PC的情况下(使用任何操作系统)执行其特定的工作任务..因此,即使下载.gz并安装它需要花费10分钟..或如果大多数情况下会花费数小时..则是几分钟或几小时无法做好您的工作,几乎每个人都在这里忍耐..
        就我而言..在工作中,我只使用Ubuntu,因为它是科学中心,因此默认情况下是在PC上安装的,这使我花了更多时间尝试安装甚至不了解如何制作软件。特定的(例如我是地理学家)它可以工作..或在对其进行任何更新后..恢复所有工具,因为一半停止在程序内工作..
        在这种特定情况下..我需要在工作中看到一个网络研讨会/论坛..由于他们使用Java,所以我错过了应该更新它的迹象..确定..去Java站点..为我的操作系统找到文件14.04 ..查看下载和安装“”说明“” ..下载一个.gz,然后从那里..解压缩..好的,…它说“安装” ..瞧..只有您做不到这篇文章的信息..解压缩«lifetime.gz的jre-blablabla»后该怎么办?

  36.   卡洛斯·费边·费拉

    这在任何发行版中都对我没用

    1.    友喜

      如果它对您不起作用,那就是第8层。

      1.    扬克·卡洛斯(Yank Carlos)

        天才!

  37.   伊格纳西奥·纳瓦罗(Ignacio Navarro)

    因为我偶尔使用它,所以每次我进入这里查看它是如何完成的。
    非常感谢您编写了它,并在很长时间之后没有将其删除。

  38.   拉蒙

    如您在突触中看到的,如果安装的新软件包显示的是最旧的软件包(根据发行版稳定),您会看到它吗?

  39.   乔治

    到达./configure时,一切都会变得糟透了,没有人能很好地解释文件是否不存在。

    1.    猫王

      我正在尝试从Broadcom安装wifi。

      逻辑顺序是1st execute ./configure,但是显然,该指令仅指向configure目录并执行放置在该目录中的某些文件,该文件应该位于从broadcom下载的软件包中,但在我的情况下,该目录不存在应该执行configure的操作是检查并创建Makefile文件,但是当解压缩软件包时,我意识到Makefile已合并,其他两个命令make和make install对我不起作用,这是因为最新版本的Elementary os不支持它基于ubuntu 14.04的freya

    2.    亚历杭德罗·托玛(Alejandro TorMar)

      真相? 这种方法对我从来没有用过,我总是从终端上选择.deb软件包或命令...太糟糕了,没有明确的安装.tar.gz

  40.   猫王

    我正在尝试从Broadcom安装wifi。

    逻辑顺序是1st execute ./configure,但是显然,该指令仅指向configure目录并执行放置在该目录中的某些文件,该文件应该位于从broadcom下载的软件包中,但在我的情况下,该目录不存在应该执行configure的操作是检查并创建Makefile文件,但是当解压缩软件包时,我意识到Makefile已合并,其他两个命令make和make install对我不起作用,这是因为最新版本的Elementary os不支持它基于ubuntu 14.04的freya

  41.   亚历杭德罗·托玛(Alejandro TorMar)

    真相? 这种方法从来没有帮助过我,我总是从终端选择.deb程序包或命令...太糟糕了,没有明确的安装.tar.gz

  42.   亚历杭德罗·托玛(Alejandro TorMar)

    为什么本教程未更新? 还是他们制造了新的?
    这里的每个人都抱怨它没有为他们服务,已经有它的岁月了。

  43.   肥猫

    您好,我想要安装软件包的帮助..我有Ubuntu版本15 ..某物..我想安装Adobe Flash插件,因为它非常有用,因为使用Adobe Flash我可以输入一些网页,您可以在其中看到电视,也收听广播..请您给我发送逐步教程。.我在命令行中没有太多经验,也就是说不能使用终端。

    帮助..谢谢

  44.   亚伯拉罕

    大家好!!!阅读了几乎所有评论之后,我寻找了Linux手册,就是这样..
    朋友OCELOTE,从我与数百万Windows用户共享的谦虚和微不足道的角度接受这种批评:

    我很想切换到linux! 但是我们许多人认为这是不可能的,为什么呢? 您可能想知道...因为对我而言,计算机是我执行工作的手段,但这不是终点...我不知道您是否了解我们所有人想要的(并且,JUANZITO告诉您的内容),这是一个稳定的操作系统,可以帮助我们发展我们的工作,我没有时间学习如何从控制台安装程序这样的基本操作,一切都应该更加直观和轻松。。。作为一名商人,我会告诉您,Linux带来的管理是灾难性的,而不是帮助您要改变操作系统的人们,您坚持认为人们躺在对他们不感兴趣的东西上,而您自己阻止了改变。用汇编程序,java,javascript,html,php和xbase编程的人告诉您是这样的...必须打开控制台才能完成几乎所有操作,这触动了我的鼻子。

    问候

  45.   DEFCON

    耐力DOS 6.22老!!

  46.   投入

    让您学习并留出对某些人有用的wuendos垃圾,因为它们将put作为密钥,他们不付钱,侮辱伤害了那些使那些密钥是linux天才的人,他们应该这样做,这就是为什么您就像愚蠢的讨论mamahuevadas一样,向我告诉他们的商人,继续支付他们的许可证,如果他们想要的是稳定的,那么他们就赢得了时间,他们在这些tuto中写白痴的地狱之举,这对于那些喜欢linux白痴的人来说是……。王牌

  47.   根达

    对于新手用户来说不是很清楚。 例如,您说:
    «首先,进入存放文件的文件夹,如果该文件夹中包含多个单词,则必须在其中加上“”,或者如果该文件夹中找不到每个单词的文件夹,则将其放在该文件夹中»...
    任何用户都将使用«explorer»进入这些文件夹,并且将重命名而不知道包含引号的文件夹的名称。 从您阅读的角度来看,«从新手用户的角度来看。

    然后,您输入:
    该文件所在的cd文件夹

    cd“文件所在的文件夹”
    从那时起,用户已经走到云端或任何地方,因为从现在起,他迷失了CD的首字母缩写,因此您无法弄清楚如何到达那里,这是一个循序渐进的示例,首先从所有操作开始……首先打开控制台。

  48.   根达

    对于HECTOR MATOS:adobe插件,java和其他不需要手动完成,您只需要连接一会儿,在更新管理器中它将自动出现,从那里自动更新,对于Firefox, Opera,其余部分独立运行...通常,启动器位于开始栏中的时钟旁边,在一些发行版中,我看到默认情况下它就在那儿,我不知道它们是否都一样。

  49.   最大工作温度

    请更明确,缺少很多信息

  50.   玛丽

    尝试将python更新到3.x并在完成时进行make install告诉我有一个错误:
    zipimport.zipimporterror无法解压缩数据zlib不可用make ***安装错误

  51.   f_leonar

    解压缩以运行./configure后,有必要输入解压缩的目录,否则它将不起作用。 我使用KDE,然后以图形方式输入解压缩的文件夹,然后在其中打开一个终端以执行“ make”,但它不起作用...

  52.   匿名

    我有一个问题,我明白了:
    manolo @ mxlolo-satellite-c655d:〜/桌面$ ./configure –帮助
    bash:./configure:没有这样的文件或目录
    我做的事…?

  53.   胜田

    一切都好,直到球的./configure出来。
    你是什​​么意思 !? 他们没有解释,我只想安装第二次他妈的生活xddd
    «»»katsoda@katsoda-PC:~/Downloads$ ‘/home/katsoda/Downloads/Second_Life_5_0_4_325124_i686’/configure
    bash:/主页/ katsoda /下载/ Second_Life_5_0_4_325124_i686 /配置:文件或目录不存在»»»
    我最好下载Windows 10并带上屁股(?)
    好吧,不。 但这是我讨厌Linux的一件事。 在这里安装并祈祷您喜欢的程序兼容是一个很大的挑战。

    1.    加图_

      先生们,不要打扰,但是本教程的创建者完美地解释了如果您遇到./configure错误时该怎么办,您只需要完成阅读本教程的其余部分(共4行)即可。

      我发现令人难以置信的是,如此多的人抱怨说,即使您还没有停止阅读的时候,它也无法解释事情。

  54.   星期五

    好吧,我正式声明自己对这种类型的文件不称职。 我正在尝试安装Java,这就是它。
    javier @ loft:〜/ JAVA / jre1.8.0_151 $ tar -zxvf jre-8u151-linux-x64.tar.gz
    焦油(孩子):jre-8u151-linux-x64.tar.gz:无法打开:没有文件或目录
    tar(子级):错误无法恢复:现在退出
    tar:孩子返回了状态2
    tar:错误无法恢复:现在退出

  55.   罗杰·德库

    在linux ubuntu 18.04.01 lts中,您只需将./namedelprograma解压缩到同一文件夹后,瞧!

  56.  

    很好,非常有帮助。

  57.   艾默生·冈萨雷斯(Emerson Goncalez)

    在AV Linux中这是行不通的
    我不知道有什么奇怪的;或者,每当您安装发行版时,您就可以开始使用十字架
    你看键盘如何

  58.   何塞·费利克斯·佩萨诺·莫拉莱斯

    大家好,我使用Ubunto 20,并且查阅了该页面以安装Epson L4150的扫描仪(我从 http://support.epson.net/linux/en/imagescanv3.php?version=1.3.38#ubuntu).
    解压缩时,我遵循了步骤并使用了“ tar -zxvf filename.tar.gz”
    “ $ cd imagescan-bundle-ubuntu-20.04-3.63.0.x64.deb”,即创建的文件夹。
    在我使用“ ./install.sh”的文件夹内(就像使用“ ./configure”一样),系统要求我输入密码,一切都安装正确。
    我尝试了扫描仪,这很棒,感谢您给我的指示,我能够使用扫描仪